メインコンテンツへスキップ
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
identity
List Identities
curl --request GET \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/identity \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/identity"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/identity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "nextCursor": "F3UdkoSbpBNrjwP93AX2HQ",
    "totalItems": 1
  },
  "items": [
    {
      "employeeStatus": "active",
      "employeeType": "full_time_employee",
      "firstName": "First Name",
      "lastName": "Last Name",
      "id": "<string>",
      "organizationId": 123,
      "peopleId": "<string>",
      "managementType": "managed",
      "displayName": "Display Name",
      "avatar": "<string>",
      "primaryEmail": "primay@email.com",
      "secondaryEmails": [
        "secondary+1@email.com",
        "secondary+2@email.com"
      ],
      "companyName": "company name",
      "workLocation": "work location",
      "department": {
        "name": "department name"
      },
      "serviceCount": 123,
      "deviceCount": 123,
      "costs": [
        {
          "amount": 100,
          "currency": "usd"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "isManager": true,
      "isMock": true,
      "isEmailEditable": true,
      "hasPresetFieldsUnlinked": true,
      "jobTitle": "CTO",
      "employeeId": "EMP12345",
      "lifecycle": {
        "contractStartAt": "2021-01-01",
        "contractEndAt": "2021-01-02",
        "suspensionStartAt": "2021-01-01",
        "suspensionEndAt": "2021-01-03"
      },
      "manager": {
        "id": "<string>",
        "displayName": "<string>",
        "people": {
          "id": 1,
          "identityId": "I3N5HB4B3G",
          "primaryEmail": "foo@gmail.com",
          "displayName": "Yamaha Honda",
          "avatar": "avatar_url",
          "username": "foo",
          "status": "suspended",
          "type": "employee"
        }
      },
      "note": "this is a note",
      "profileUrl": "https://workspace.url/employee/12345",
      "customFields": {
        "custom_text_field": "foo",
        "custom_date_field": "2024-01-01",
        "custom_number_field": 123,
        "custom_dropdown_field": "Option Displayed Value A"
      },
      "customFieldsWithMetadata": [
        {
          "id": 1,
          "attributeCode": "custom_text_field",
          "attributeName": "Text field",
          "value": "foo"
        },
        {
          "id": 2,
          "attributeCode": "custom_date_field",
          "attributeName": "Date field",
          "value": "2024-01-01"
        },
        {
          "id": 3,
          "attributeCode": "custom_number_field",
          "attributeName": "Number field",
          "value": 123
        },
        {
          "id": 4,
          "attributeCode": "custom_dropdown_field",
          "attributeName": "Dropdown field",
          "value": "Option Displayed Value A"
        }
      ],
      "structuresInfo": {
        "companies": [
          {
            "id": 1,
            "name": "name"
          }
        ],
        "departments": [
          {
            "id": 1,
            "name": "name"
          }
        ],
        "locations": [
          {
            "id": 1,
            "name": "name"
          }
        ],
        "managers": [
          {
            "id": "<string>",
            "displayName": "<string>",
            "primaryEmail": "<string>",
            "avatar": "<string>"
          }
        ]
      }
    }
  ]
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須

クエリパラメータ

limit
number

Limit the number of results returned. Maximum 200.

必須範囲: x <= 200
:

50

cursor
string

Cursor to paginate through results.

managementTypes
enum<string>[]

Filter results by management type. Accepts multiple options.

利用可能なオプション:
managed,
external,
system,
unknown,
unregistered
types
enum<string>[]

Filter results by type. Accepts multiple options.

利用可能なオプション:
board_member,
full_time_employee,
fixed_time_employee,
temporary_employee,
part_time_employee,
secondment_employee,
contract_employee,
collaborator,
group_address,
shared_address,
test_address,
other,
unknown,
unregistered
statuses
enum<string>[]

Filter results by status. Accepts multiple options.

Extended status of the employee

利用可能なオプション:
active,
on_leave,
draft,
preactive,
retired,
untracked,
archived
companies
string[]

Filter results by companies. Accepts multiple options.

:
["Corp 1", "Corp 2"]
departments
string[]

Filter results by departments. Accepts multiple options.

:
["Sales", "Marketing"]
locations
string[]

Filter results by locations. Accepts multiple options.

:
["Tokyo", "London"]
keyword
string

Filter results by username, identityId, department name, email or displayName (prefix search).

contractStartRange
string

Filter results by contract start date range. Format: YYYY-MM-DD:YYYY-MM-DD, separated by a colon.

:

"2023-01-01:2023-12-31"

contractEndRange
string

Filter results by contract end date range. Format: YYYY-MM-DD:YYYY-MM-DD, separated by a colon.

:

"2023-01-01:2023-12-31"

createdAtRange
string

Filter results by created date range. Format: YYYY-MM-DD:YYYY-MM-DD, separated by a colon.

:

"2023-01-01:2023-12-31"

updatedAtRange
string

Filter results by updated date range. Format: YYYY-MM-DD:YYYY-MM-DD, separated by a colon.

:

"2023-01-01:2023-12-31"

sortBy
enum<string>

Sort results by a specific field.

利用可能なオプション:
name,
type,
status,
company,
department,
location,
servicesCount,
devicesCount,
costUsd,
costJpy,
employeeId,
contractStart,
contractEnd,
suspensionStart,
suspensionEnd,
createdAt,
updatedAt,
jobTitle
sortOrder
enum<string>

Sort results in ascending or descending order. Defaults to ASC.

利用可能なオプション:
DESC,
ASC
:

"ASC"

expands
enum<string>[]

Expand other datasets when fetching identities. Accepts multiple options.

利用可能なオプション:
devices,
accounts,
customFieldsMetadata,
relatedIdentity
alertTypes
enum<string>[]

Filter result by alert type. Accepts multiple options.

利用可能なオプション:
retired_account,
inactive_account,
on_leave_account,
unknown_account,
public_files
managerId
string

Filter results by managerId.

:

"0"

serviceId
string

Filter results by serviceId.

:

"foo"

hasHRM
boolean

Filter results by HRM (employee master) linkage. When true, returns only UIDs with HRM linkage. When not provided, no filtering is applied.

:

true

haveAssignedDevice
boolean

Filter results by identities that have at least one assigned device

:

true

haveSaasAccount
boolean

Filter results by identities that have at least one SaaS account

:

true

レスポンス

meta
object
必須
items
object[]
必須
read-only
最終更新日 2026年7月14日